if not exists (select * FROM sys.sysobjects where id = object_id(N'dbo.UserRoamingSettings')) BEGIN
  create table dbo.UserRoamingSettings (
    [ID] uniqueidentifier not null constraint DF_UserRoamingSettings_ID DEFAULT newid() constraint PK_UserRoamingSettings primary key clustered (ID),
	[UserID] uniqueidentifier not null constraint FK_UserRoamingSettings_UserID foreign key references dbo.UserAccount on delete cascade,
    [SettingType] int not null,
	[Setting] nvarchar(max) not null,
	[CreationDate] datetime NOT NULL,
	[CreatedByUserName] nvarchar(256) NULL,
	[CreatedByLoggedUserName] nvarchar(256) NULL,
	[ModifiedDate] datetime NULL,
	[ModifiedUserName] nvarchar(256) NULL,
	[ModifiedLoggedUserName] nvarchar(256) NULL	
  );
END;